Bug 47688 - Handling of "Record changes", "Show changes" and save status inconsistent
Summary: Handling of "Record changes", "Show changes" and save status inconsistent
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: lowest minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2012-03-21 19:21 UTC by Matthew Francis
Modified: 2019-02-25 19:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2012-03-21 19:21:46 UTC
The interaction between changing "Record changes","Show changes" and the document saved status is inconsistent.

For instance, with a new document:

Initial status:
Record changes=NO  Document changed=NO

Enable record changes
Record changes=YES  Document changed=YES

Save document
Record changes=YES  Document changed=NO

Type "A"
Record changes=YES  Document changed=YES

Disable record changes
Record changes=NO  Document changed=YES

Undo
Record changes=NO  Document changed=NO

---

After the last action, the "A" has been untyped, and record changes remains off, but the document is inconsistent with the saved copy (in the saved copy "Record changes" is ON, whereas in the open copy it is OFF but the document is marked unchanged)

The same applies to "Show changes".
Comment 1 Joel Madero 2012-12-08 00:12:06 UTC
I was able to verify this. 

Just a note for developers, it's the undo that's causing weird stuff (clearly a change to document but it's not showing (ie you can't just do ctrl+s))

Marking as:
New (confirmed)
Minor (Doesn't prevent high quality professional work)
Lowest (very specific situation, if a user typed one thing later they wouldn't even notice it)

Thanks for the report, verified on 3.6.3.2
Comment 2 QA Administrators 2015-01-05 17:52:00 UTC Comment hidden (obsolete)
Comment 3 Matthew Francis 2015-01-29 08:56:52 UTC
Still occurs in OSX 10.10 / LO 4.4.0.2
Comment 4 QA Administrators 2016-02-21 08:36:48 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 15:38:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306